import Utils from '@/utils/utils.js'
import zhCN from '@/locales/zh-CN/model.js'
import enUS from '@/locales/en-US/model.js'

const CommonDict = sessionStorage.getItem('lang') !== 'en-US' ? zhCN : enUS

class CalendarBaseData {
  baseConfig = {
    version: '1.0',
    type: 'system',
    Template: 'CalendarPage',
    enabled: false,
    tabName: '',
    tabNo: '',
    Remark: '',
    uuid: Utils.getuuid(),
    setting: {
      tableName: '',
      primaryKey: '',
      dataresource: '',
      interType: 'system',
      innerFunc: '',
      interface: '',
      outerFunc: ''
    },
    columns: [],
    scripts: [],
    tables: [],
    tab: null,
    calendar: {
      levels: ['day', 'month', 'year'],
      startfield: '',
      endfield: '',
      colorfield: '',
      remarkfield: '',
      refresh: 'false'
    },
    search: [
      {
        origin: true,
        uuid: Utils.getuuid(),
        label: 'label',
        field: '',
        initval: '',
        type: 'text',
        resourceType: '0',
        options: [],
        orderType: 'asc',
        match: 'like',
      }, {
        origin: true,
        uuid: Utils.getuuid(),
        label: 'label',
        field: '',
        initval: '',
        type: 'select',
        resourceType: '0',
        options: [],
        orderType: 'asc',
        match: 'equal',
      }, {
        origin: true,
        uuid: Utils.getuuid(),
        label: 'label',
        field: '',
        initval: '',
        type: 'date',
        resourceType: '0',
        options: [],
        orderType: 'asc',
        match: 'greater',
      }
    ]
  }

  searchItems = [
    {
      type: 'search',
      label: CommonDict['model.form.text'],
      subType: 'text',
      url: ''
    },
    {
      type: 'search',
      label: CommonDict['model.form.select'],
      subType: 'select',
      url: ''
    },
    {
      type: 'search',
      label: CommonDict['model.form.multiselect'],
      subType: 'multiselect',
      url: ''
    },
    {
      type: 'search',
      label: CommonDict['model.form.link'],
      subType: 'link',
      url: ''
    },
    {
      type: 'search',
      label: '选项卡',
      subType: 'checkcard',
      url: ''
    },
    {
      type: 'search',
      label: '日期（天）',
      subType: 'date',
      url: ''
    },
    {
      type: 'search',
      label: '日期（周）',
      subType: 'dateweek',
      url: ''
    },
    {
      type: 'search',
      label: CommonDict['model.form.datemonth'],
      subType: 'datemonth',
      url: ''
    },
    {
      type: 'search',
      label: CommonDict['model.form.daterange'],
      subType: 'daterange',
      url: ''
    },
    {
      type: 'search',
      label: CommonDict['model.form.dategroup'],
      subType: 'group',
      url: ''
    }
  ]
}

export default new CalendarBaseData()
